import mimetypes
DEFUALT_SUPPORT_FORMATS =['jpeg','png','gif','tiff','bmp','ppm','pcx']
__package_name = 'formats'
__loaded_formats = []

def import_plugins(plugins):
    global __loaded_formats
    for plugin in plugins:
        __import__(__package_name + '.' + plugin)

def get_decoder(filename):
    pass

def __get_extension(format):
    return mimetypes.guess_all_extensions('image/' + format)

def get_support_image_extensions():
    extensions = []
    for format in DEFUALT_SUPPORT_FORMATS:
        extensions = extensions + __get_extension(format)
    return extensions

def get_support_image():
    image_types ={}
    for format in DEFUALT_SUPPORT_FORMATS:
        image_types[format] = __get_extension(format)
    return image_types
