#-*- coding: utf-8 -*-
import tarfile
#from . import AbstractArchiveFile
from core.archive import AbstractArchiveFile

ALIAS = ['.tar.gz','.tar.bz2','.tgz','.tgb']

class ArchiveFile(AbstractArchiveFile):
    def __init__(self,file):
        tarobj = tarfile.open(fileobj=file)
        setattr(tarobj,'namelist',tarobj.getnames)
        super(ArchiveFile,self).__init__(tarobj)
        
    def read(self,name):
        f = self.tarobj.extractfile(name)
        buf = f.read()
        f.close()
        return buf
