# -*- coding: utf-8 -*-
import subprocess

class RarFile(object):
    __read_command = []
    entries = None
    def __init__(self,file):
        self.file = file

    def close(self):
        pass

    def namelist(self):
        command = ['unrar','vb',self.file]
        return self.__call_proc(command).splitlines()

    def read(self,name):
        if not self.__read_command:
            self.__read_command = ['unrar','p','-inul',self.file]

        return self.__call_proc(self.__read_command + [name])

    def __call_proc(self,command):
        result =subprocess.Popen(command,
                                 stdout=subprocess.PIPE).communicate()[0]
        return result
